Bug 95223 - New port: x11-toolkits/fltk2
Summary: New port: x11-toolkits/fltk2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-02 13:00 UTC by Thomas-Martin Seck
Modified: 2006-05-26 17:25 UTC (History)
0 users

See Also:


Attachments
file.shar (16.04 KB, text/plain)
2006-04-02 13:00 UTC, Thomas-Martin Seck
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas-Martin Seck 2006-04-02 13:00:31 UTC
This is a port of FLTK's 2.0 development branch. It will be needed
for future versions of www/dillo.

Note: 
The snapshot I used is not the latest one available but unfortunately
the only one that compiles on FreeBSD. Luckily, the snapshots are
provided for several months on the master sites so fetchability should
not be a problem.

I tested the PKGVERSION scheme with pkg_version -t; if fltk2 is
released, fltk-2.0 is ">" than fltk-2.0.rXXXX. So upgrading from a
snapshot to a release version should work out of the box.

If this port is accepted, the following patch needs to be applied to
x11-toolkits/fltk:

--- Makefile.orig	Sun Apr  2 13:37:25 2006
+++ Makefile	Sun Apr  2 13:39:36 2006
@@ -31,6 +31,7 @@
 .else
 CONFLICTS=	fltk-threads-1*
 .endif
+CONFLICTS+=	fltk-2.*
 
 VERSION=	1.1.6
 USE_BZIP2=	yes
Comment 1 Thomas-Martin Seck 2006-04-05 19:16:48 UTC
Sigh, it seems there is always something I can screw up.

Please apply this patch before I annoy the reminder guy:

Index: Makefile
===================================================================
--- Makefile	(revision 772)
+++ Makefile	(working copy)
@@ -32,6 +32,8 @@
 
 CONFLICTS=	fltk-1.* fltk-threads-1.*
 
+LATEST_LINK=	fltk2
+
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_GL=		yes
Comment 2 Pav Lucistnik freebsd_committer 2006-05-26 17:24:55 UTC
State Changed
From-To: open->closed

New port added, thank you!